Bring your photos to life with AI Image to Video Generation. Upload an image and provide a description, and the system instantly converts it into motion filled visuals powered by advanced AI technology. It is the easiest way to enjoy high quality image to video generation without learning any editing tools.
AI tasks are asynchronous. Prefer webhook-based completion handling when the feature supports webhooks. Configure your webhook endpoint, verify webhook signatures, and use the received task_id to query the task result after a success or error notification. See the webhook integration guide for setup and verification details.
If webhooks are not supported or cannot be used in your integration, implement polling. After submitting an AI task, poll the status endpoint at regular intervals (e.g., every 10 seconds) until the task status is success or error.
To select the output resolution used in inference.
Can be in any language. Will be automatically enhanced and output as English using Gemini API. Short prompts are ideal.
The negative prompt.
- Run task with src file url
- Run task with src file ID
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/image-to-video/youcam \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"resolution": "480",
"dst_duration": 5,
"prompt": "その女性は微笑んで、カメラを見ています",
"negative_prompt": "worst quality, low quality, JPEG compression residue, ugly.",
"model": "youcam-video-v2"
}'{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }